﻿@model IEnumerable<Factoring.Web.Funcionalidad.Factura.FacturaViewModel>

@{
    ViewBag.Title = "Lista";
}

<h2>Lista</h2>

<p>
    @Html.ActionLink("Crear Factura", "Agrega", "Factura", new { EmpresaId = ViewBag.EmpresaId }, new { })
</p>
<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.Numero)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.FechaEmision)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.FechaVencimiento)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.FechaCobro)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.RucCliente)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.RazonSocialCliente)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Total)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Impuestos)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.RutaFacturaScaneada)
        </th>
        
        <th></th>
    </tr>

@foreach (var item in Model) {
    <tr>
        <td>
            @Html.DisplayFor(modelItem => item.Numero)
            @Html.HiddenFor(modelItem => item.EmpresaId)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.FechaEmision)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.FechaVencimiento)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.FechaCobro)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.RucCliente)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.RazonSocialCliente)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Total)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Impuestos)
        </td>
        
        <td>
            @Html.DisplayFor(modelItem => item.RutaFacturaScaneada)
        </td>
        <td>
            <div class="btn-group">
                <button class="btn dropdown-toggle btn-xs" data-toggle="dropdown">
                    <span>
                        <i class="glyphicon glyphicon-cog"></i>
                        <span class="caret"></span>
                    </span>
                </button>
                <ul class="dropdown-menu">
                    <li>
                        @Html.ActionLink("Editar", "Edita", "Factura", new { id = item.Id, EmpresaId = item.EmpresaId }, new { })
                    </li>
                    <li>
                        @Html.ActionLink("Ver", "Ver", "Factura", new { id = item.Id, EmpresaId = item.EmpresaId }, new { })
                    </li>
                    <li>
                        @Html.ActionLink("Eliminar", "Elimina", new { id = item.Id, EmpresaId = item.EmpresaId }, new { })
                    </li>
                </ul>
            </div>
        </td>
    </tr>
}

</table>
<p>
    @Html.ActionLink("Regresa a Empresas", "Lista", "Empresa", new { Usuario = "" }, new { })
</p>
